<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPphColumnsToCashtransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cashtransactions', function (Blueprint $table) {
            $table->decimal('pph23_amount', 15, 2)->nullable();
            $table->decimal('pph22_amount', 15, 2)->nullable();
            $table->decimal('pph4_2_amount', 15, 2)->nullable();
            $table->decimal('pph21_amount', 15, 2)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cashtransactions', function (Blueprint $table) {
            $table->dropColumn([
                'pph23_amount',
                'pph22_amount',
                'pph4_2_amount',
                'pph21_amount',
            ]);
        });
    }
}
